%global oname base64
Name:          java-base64
Version:       2.3.8
Release:       %mkrel 5
Summary:       Java class for encoding and decoding Base64 notation
Group:         Development/Java
# pom file license comment
# I have released this software into the Public Domain. That
# means you can do whatever you want with it. Really. You don't
# have to match it up with any other open source license -
# just use it. You can rename the files, move the Java packages,
# whatever you want. If your lawyers say you have to have a
# license, contact me, and I'll make a special release to you
# under whatever reasonable license you desire: MIT, BSD, GPL,
# whatever.
License:       Public Domain
URL:           http://iharder.net/base64/
Source0:       https://github.com/omalley/base64/archive/release-%{version}.tar.gz

BuildRequires: java-devel

# test deps
BuildRequires: junit

BuildRequires: maven-local
BuildRequires: maven-source-plugin
BuildRequires: maven-surefire-provider-junit4
Provides:      %{oname} = %{version}-%{release}
BuildArch:     noarch

%description
Base64 is a Public Domain Java class for encoding and
decoding Base64 notation. There are one-liner convenience
methods as well as Input and Output Streams.

%package javadoc
Summary:       Javadoc for %{name}
Group:         Documentation

%description javadoc
This package contains javadoc for %{name}.

%prep
%setup -q -n %{oname}-release-%{version}

%pom_xpath_inject "pom:build/pom:plugins/pom:plugin[pom:artifactId ='maven-compiler-plugin']" "<version>2.5.1</version>"
%pom_xpath_inject "pom:build/pom:plugins/pom:plugin[pom:artifactId ='maven-source-plugin']" "<version>2.1.2</version>"
%pom_xpath_inject "pom:build/pom:plugins/pom:plugin[pom:artifactId ='maven-javadoc-plugin']" "<version>2.9</version>"
%pom_xpath_inject "pom:build/pom:plugins/pom:plugin[pom:artifactId ='maven-release-plugin']" "<version>2.2.1</version>"
%pom_xpath_inject "pom:build/pom:plugins/pom:plugin[pom:artifactId ='maven-scm-plugin']" "<version>1.7</version>"
%pom_xpath_inject "pom:reporting/pom:plugins/pom:plugin[pom:artifactId ='maven-project-info-reports-plugin']" "<version>2.4</version>"
%pom_xpath_inject "pom:reporting/pom:plugins/pom:plugin[pom:artifactId ='maven-javadoc-plugin']" "<version>2.9</version>"

sed -i "s|<version>2.3.9-SNAPSHOT</version>|<version>%{version}</version>|" pom.xml

%build

%mvn_file :%{oname} %{name}
%mvn_file :%{oname} %{oname}
%mvn_build

%install
%mvn_install

(
 cd %{buildroot}%{_javadocdir}
 ln -sf %{name} %{oname}
)

%files -f .mfiles

%files javadoc -f .mfiles-javadoc
%{_javadocdir}/%{oname}



%changelog
* Tue Oct 22 2013 umeabot <umeabot> 2.3.8-5.mga4
+ Revision: 541739
- Mageia 4 Mass Rebuild

* Sun Oct 13 2013 dmorgan <dmorgan> 2.3.8-4.mga4
+ Revision: 496414
- imported package java-base64


* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.3.8-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Mon Jul 08 2013 gil cattaneo <puntogil@libero.it> 2.3.8-3
- switch to XMvn
- minor changes to adapt to current guideline

* Thu May 02 2013 gil cattaneo <puntogil@libero.it> 2.3.8-2
- fix artifact name, added symlink
- fix javadoc name, added symlink

* Sun Apr 28 2013 gil cattaneo <puntogil@libero.it> 2.3.8-1
- initial rpm
